<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<meta property="og:title" content="KKC News and Update" />
<meta property="og:description" content="So, what&rsquo;s going on with Kamikaze Cookery, then?
We&rsquo;ve gone a bit quieter lately, as you&rsquo;ve probably noticed. That&rsquo;s a) because I&rsquo;m on holiday, and b) because we&rsquo;re starting to ramp up for the next KKC release.
The next KKC release(es) won&rsquo;t be another series, but a special feature, somewhere between one to three parts. We&rsquo;re aiming to shoot it in May or early June, and it should be with you pretty soon after." />
<meta property="og:type" content="article" />
<meta property="og:url" content="http://www.kamikazecookery.com/blogs/139" />


<meta property="og:updated_time" content="2009-04-22T14:31:18&#43;00:00"/>











<meta itemprop="name" content="KKC News and Update">
<meta itemprop="description" content="So, what&rsquo;s going on with Kamikaze Cookery, then?
We&rsquo;ve gone a bit quieter lately, as you&rsquo;ve probably noticed. That&rsquo;s a) because I&rsquo;m on holiday, and b) because we&rsquo;re starting to ramp up for the next KKC release.
The next KKC release(es) won&rsquo;t be another series, but a special feature, somewhere between one to three parts. We&rsquo;re aiming to shoot it in May or early June, and it should be with you pretty soon after.">


<meta itemprop="dateModified" content="2009-04-22T14:31:18&#43;00:00" />
<meta itemprop="wordCount" content="410">



<meta itemprop="keywords" content="" />



  <meta name="twitter:card" content="summary"/>



<meta name="twitter:title" content="KKC News and Update"/>
<meta name="twitter:description" content="So, what&rsquo;s going on with Kamikaze Cookery, then?
We&rsquo;ve gone a bit quieter lately, as you&rsquo;ve probably noticed. That&rsquo;s a) because I&rsquo;m on holiday, and b) because we&rsquo;re starting to ramp up for the next KKC release.
The next KKC release(es) won&rsquo;t be another series, but a special feature, somewhere between one to three parts. We&rsquo;re aiming to shoot it in May or early June, and it should be with you pretty soon after."/>










<meta name="generator" content="Hugo 0.18.1" />


    <link rel="canonical" href="http://www.kamikazecookery.com/blogs/139">

    <title>KKC News and Update | Kamikaze Cookery | Geeks cook – with SCIENCE.</title>

    <!-- combined, minified CSS -->
    <link href="../css/style.css" rel="stylesheet"   crossorigin="anonymous">

    

    

    

    
<style>
    .blog-masthead{
        background-color: #f66708; 
        margin-bottom: 0px; 
    }
    h2{
        text-align: center; 
        margin: 40px; 
    }
    .container img {
        display: block; 
        margin: 0 auto; 
    }
    h1{ 
        margin: 50px; 
        text-align: center; 
    }
</style>
  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>
    <a  href="../index.html"><div class="container" style="background-image: url(../images/cropped-Logo-final1.jpg); padding: 0px; background-size:cover; min-height: 360px"></div> </a> 
    <div class="blog-masthead">
      <div class="container">
      
        <nav class="nav blog-nav">
                   
          <a class="nav-link" href="../index.html">Episodes</a>
          <a class="nav-link" href="../about-kamikaze-cookery/index.html">About</a>
          <a class="nav-link" href="../blog/index.html">Blog</a>
          

        </nav>
      </div>
    </div>

    <div class="container">
      <div class="row">
        <div class="col-sm-12 blog-main">

          


<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="http://www.kamikazecookery.com/blogs/139">KKC News and Update</a></h2>
    <p class="blog-post-meta"><time datetime="2009-04-22T14:31:18Z">Wed Apr 22, 2009</time> by kamikazecook</p>
  </header>
  <p>So, what&rsquo;s going on with Kamikaze Cookery, then?</p>

<p>We&rsquo;ve gone a bit quieter lately, as you&rsquo;ve probably noticed. That&rsquo;s a) because I&rsquo;m on holiday, and b) because we&rsquo;re starting to ramp up for the next KKC release.</p>

<p>The next KKC release(es) won&rsquo;t be another series, but a special feature, somewhere between one to three parts. We&rsquo;re aiming to shoot it in May or early June, and it should be with you pretty soon after.</p>

<p>We&rsquo;ve also been looking into prettiness - I&rsquo;ve got a new camera, the rather wonderful HF-10 from Canon, which will bring our shooting technology into the 21st century from the late &lsquo;90s where our last camera left us, and we&rsquo;ve got an agreement to borrow some lighting kit, so everything should look a lot prettier.</p>

<p>As far as format goes, we&rsquo;re looking at making each episode shorter, which should reduce the workload, and also increase our viewership. The big problem with KKC at the moment is that it&rsquo;s basically a full-time job for about 4 months to produce the scale of series we did for Season 0, and whilst our viewers are all, without exception, lovely, they&rsquo;re also not numerous enough to support that financially! We&rsquo;d need about 10-20 times more viewers to support that level of production.</p>

<p>In addition, we&rsquo;ve all got other projects (which has been the reason for the quiet patch, too). Notably, I&rsquo;m (as the editor and director) engaged in developing a bunch of different technology for the <a href="http://www.strangecompany.org">day job</a> at the moment, and we&rsquo;re intending to start on a new series there soon, so once again, that cuts into KKC time.</p>

<p>So we&rsquo;re not entirely sure what&rsquo;s going to happen series-wise. Our current plan is to make a &ldquo;special&rdquo; in May and see how it goes! Hopefully the additional quality will get us a whole bunch of new viewers, and we can see what happens from there.</p>

<p>(In other news, we&rsquo;ll also be releasing the second DVD from Season One at the same time, with the usual commentary and extra material).</p>

<p>So, that&rsquo;s what&rsquo;s up! If we blog infrequently in the next while, it&rsquo;s because time that could have been blogging time is going into production - we&rsquo;ll try and get you some stills, some concept stuff, some ideas of what we&rsquo;re working on, as soon as possible!</p>

<p>Let us know if you have any ideas for increasing our audience or making the series faster - we&rsquo;d like to make more!</p>


  

  
  <hr>
  <footer>

  
    <section>
    <h4>Share</h4>
    <nav class="nav sharing-icons">
      <a class="nav-item" href="https://www.facebook.com/sharer/sharer.php?u=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f139" title="Share on Facebook"><span class="fa fa-facebook fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://plus.google.com/share?url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f139" title="Share on Google+"><span class="fa fa-google-plus fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f139" title="Share on LinkedIn"><span class="fa fa-linkedin fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://twitter.com/home?status=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f139" title="Tweet this"><span class="fa fa-twitter fa-2x"></span></a>
    </nav>
  </section>

  

  
  </footer>
  

</article> 



        </div> <!-- /.blog-main -->


      </div> <!-- /.row -->
    </div> <!-- /.container -->

    <footer class="blog-footer">
      <p>
      
      Blog template created by <a href="https://twitter.com/mdo">@mdo</a>, ported to Hugo by <a href='https://twitter.com/mralanorth'>@mralanorth</a>.
      
      </p>
      <p>
      <a href="139.html#">Back to top</a>
      </p>
    </footer>
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-696676-8', 'auto');
  ga('send', 'pageview');

</script>
  </body>

</html>
